/*--

THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF
ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED
TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
PARTICULAR PURPOSE.

Copyright (C) 1999  Microsoft Corporation.  All rights reserved.

Module Name:

    locator.h

Abstract:

    Locate SRV records in DNS

--*/

#ifndef T_SRV
#define T_SRV 33
#endif

typedef struct _srv_location 
{
    char 	*srv_host;
    u_short 	srv_port;
    int 	srv_weight;
    int 	srv_priority;
} SRV_LOCATION, *PSRV_LOCATION;

int locate_srv(const char *, const char *, const char *, PSRV_LOCATION **, int *);

#define LDAP_SRV	"_ldap"
#define KRB5_SRV	"_kerberos"
#define KPASSWD_SRV	"_kpasswd"

#define TCP_PROTO	"_tcp"
#define UDP_PROTO	"_udp"


